--application:setLogicalDimensions(768,1024)
application:setOrientation(Application.PORTRAIT)
font=Font.new("Font128.txt","Font128.png",true);
-- !"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~²éàçèîùµïëô€£âê

local bg=Shape.new()
bg:setFillStyle(Shape.TEXTURE, Texture.new("MenuBack.jpg",true, {wrap = Texture.REPEAT}))
bg:beginPath()
bg:moveTo(0,0)
bg:lineTo(768,0)
bg:lineTo(768,1024)
bg:lineTo(0,1024)
bg:lineTo(0,0)
bg:endPath()
stage:addChild(bg)

local txt="A long time ago, in a galaxy far, far away....\n\n\n\n"..
"It is a period of civil war. Rebel\n"..
"spaceships, striking from a hidden\n"..
"base, have won their first victory\n"..
"against the evil Galactic Empire.\n\n\n"..

"During the battle, rebel spies managed\n"..
"to steal secret plans to the Empire's\n"..
"ultimate weapon, the DEATH STAR, an\n"..
"armored space station with enough\n"..
"power to destroy an entire planet.\n\n\n"..

"Pursued by the Empire's sinister agents,\n"..
"Princess Leia races home aboard her\n"..
"starship, custodian of the stolen plans\n"..
"that can save her people and restore\n"..
"freedom to the galaxy....\n"

local textwidth=2500
textHolder=Sprite.new()
txtline=TextWrap.new(txt,textwidth,"center",10,font)
txtline:setScale(512/textwidth)
txtline:setTextColor(0xffff00)
txtline:setY(0)
textHolder:addChild(txtline)
textHolder:setY(600)
mesht=RenderTarget.new(512,512,true)
mesht:draw(textHolder)


textHolder:addEventListener(Event.ENTER_FRAME, function ()
	textHolder:setY(textHolder:getY()-0.3)
	mesht:clear(0,0)
	mesht:draw(textHolder)	
end)

mesh=Mesh.new()
local steps=200
local farlen=200
local fardist=400
local nearlen=768
for i=0,steps-1,1 do
	local vset=i*4+1
	local vfy=fardist*i/steps
	local vfl=(((nearlen-farlen)*i/steps)+farlen)/2
	local vfx1=(nearlen/2)-vfl
	local vfx2=(nearlen/2)+vfl
	local vny=fardist*(i+1)/steps
	local vnl=(((nearlen-farlen)*(i+1)/steps)+farlen)/2
	local vnx1=(nearlen/2)-vnl
	local vnx2=(nearlen/2)+vnl
	local tf=512*i/steps
	local tn=512*(i+1)/steps
	local cf=(i/steps)
	local cn=((i+1)/steps)
	local iset=i*6+1
	mesh:setVertices(vset,vfx1,vfy,vset+1,vfx2,vfy,vset+2,vnx1,vny,vset+3,vnx2,vny)
	mesh:setTextureCoordinates(vset,0,tf,vset+1,512,tf,vset+2,0,tn,vset+3,512,tn)
	mesh:setColors(vset,0xffff00,cf,vset+1,0xffff00,cf,vset+2,0xffff00,cn,vset+3,0xffff00,cn)
	mesh:setIndices(iset+0,vset+0,iset+1,vset+1,iset+2,vset+3)
	mesh:setIndices(iset+3,vset+0,iset+4,vset+3,iset+5,vset+2)
end
mesh:setTexture(mesht)
--mesh:setScale(0.5)
mesh:setPosition(0,100)
stage:addChild(mesh)


